<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-globalpay" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if( isset($text_url_message) ) { ?>
    <div class="alert alert-warning"><i class="fa fa-exclamation-circle"></i> <?php echo $text_url_message; ?></div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-globalpay" class="form-horizontal">
          <div class="tab-content">
            <div class="tab-pane active" id="tab-gc_eps">
              <div class="form-group required">
                <label class="col-sm-2 control-label" for="gc_eps_merchant_id"><?php echo $entry_merchant_id; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="gc_eps_merchant_id" value="<?php echo $gc_eps_merchant_id; ?>" class="form-control"/>
                  <?php if ($error_merchant_id) { ?>
                  <span class="error"><?php echo $error_merchant_id; ?></span>
                  <?php } ?>
                </div>
              </div>
              <div class="form-group required">
                <label class="col-sm-2 control-label" for="gc_eps_project_id"><?php echo $entry_project_id; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="gc_eps_project_id" id="gc_eps_project_id" value="<?php echo $gc_eps_project_id; ?>" class="form-control"/>
                  <?php if ($error_project_id) { ?>
                  <span class="error"><?php echo $error_project_id; ?></span>
                  <?php } ?>
                </div>
              </div>
              <div class="form-group required">
                <label class="col-sm-2 control-label" for="gc_eps_secret"><?php echo $entry_secret; ?></label>
                <div class="col-sm-10">
                  <input type="password" name="gc_eps_secret" value="<?php echo $gc_eps_secret; ?>" placeholder="<?php echo $gc_eps_secret; ?>" id="gc_eps_secret" class="form-control" />
                  <?php if ($error_secret) { ?>
                  <div class="text-danger"><?php echo $error_secret; ?></div>
                  <?php } ?>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="gc_eps_description"><span data-toggle="tooltip" title="<?php echo $help_description; ?>"><?php echo $entry_description; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="gc_eps_description" id="gc_eps_description" maxlength="50" value="<?php if(empty($gc_eps_description)) echo 'Best. {ORDERID}, {SHOPNAME}'; else echo $gc_eps_description; ?>" class="form-control"/>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="gc_eps_total"><span data-toggle="tooltip" title="<?php echo $help_total; ?>"><?php echo $entry_total; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="gc_eps_total" id="gc_eps_total" value="<?php echo $gc_eps_total; ?>" class="form-control"/>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="gc_eps_order_status_id"><?php echo $entry_order_status; ?></label>
                <div class="col-sm-10">
                  <select name="gc_eps_order_status_id" id="gc_eps_order_status_id" class="form-control">
                    <?php foreach ($order_statuses as $order_status) { ?>
                    <?php if ($order_status['order_status_id'] == $gc_eps_order_status_id) { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="gc_eps_geo_zone_id"><?php echo $entry_geo_zone; ?></label>
                <div class="col-sm-10">
                  <select name="gc_eps_geo_zone_id" id="gc_eps_geo_zone_id" class="form-control">
                    <option value="0"><?php echo $text_all_zones; ?></option>
                    <?php foreach ($geo_zones as $geo_zone) { ?>
                    <?php if ($geo_zone['geo_zone_id'] == $gc_eps_geo_zone_id) { ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                    <?php } else { ?>
                    <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                    <?php } ?>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="gc_eps_status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="gc_eps_status" id="gc_eps_status" class="form-control">
                    <?php if ($gc_eps_status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="gc_eps_sort_order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="gc_eps_sort_order" value="<?php echo $gc_eps_sort_order; ?>" size="3" id="gc_eps_sort_order" class="form-control"/>
                </div>
              </div>
            </div>
          </div>            
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>