<?php

/**
 * GiroCheckout: Payment gateway for Opencart
 * 
 * @author GiroSolution AG
 * @link http://www.girosolution.de
 * @package GiroCheckout
 * @copyright Copyright (c) 2016, GiroSolution AG
 */
class ModelPaymentGCIdeal extends Model {

    public function getMethod($address, $total) {
        $this->load->language('payment/gc_ideal');

        $query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int) $this->config->get('gc_ideal_geo_zone_id') . "' AND country_id = '" . (int) $address['country_id'] . "' AND (zone_id = '" . (int) $address['zone_id'] . "' OR zone_id = '0')");

        if ($this->config->get('gc_ideal_total') > $total) {
            $status = false;
        } elseif (!$this->config->get('gc_ideal_geo_zone_id')) {
            $status = true;
        } elseif ($query->num_rows) {
            $status = true;
        } else {
            $status = false;
        }

        if ($this->session->data['currency'] != 'EUR') {
            $status = false;
        }

        $method_data = array();

        if ($status) {
            $method_data = array(
                'code' => 'gc_ideal',
                'title' => $this->language->get('text_title'),
                'terms' => '',
                'sort_order' => $this->config->get('gc_ideal_sort_order')
            );
        }

        return $method_data;
    }

}
